//---------------------------------------------------------------------------
// VBTTip.h
//---------------------------------------------------------------------------

#include "dbttip.h"


//---------------------------------------------------------------------------
// Property info
//---------------------------------------------------------------------------

PROPINFO propinfoAboutBox =
 {
    "(About)",
    DT_HSZ | PF_fGetData | PF_fSetData,
    OFFSETIN(DBTTIP,hszAbout),
    0, 0, NULL, 0
 };

char szAlignment[] = "0 - Left Justify\0" "1 - Right Justify\0" "2 - Center\0";
PROPINFO propinfoAlignment =
 {
    "Alignment",
    DT_ENUM | PF_fGetData | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nAlignment),
	0, 2, szAlignment, 2
 };

PROPINFO propinfoAspect =
 {
    "Aspect",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nAspect),
	0, 0, NULL, 0
 };

PROPINFO propinfoDelay =
 {
    "Delay",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,nDelay),
	0, 0, NULL, 0
 };

PROPINFO propinfoExtraOffX =
 {
    "ExtraOffX",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fNoShow,
    OFFSETIN(DBTTIP,nExtraOffX),
	0, 0, NULL, 0
 };

PROPINFO propinfoExtraOffY =
 {
    "ExtraOffY",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fNoShow,
    OFFSETIN(DBTTIP,nExtraOffY),
	0, 0, NULL, 0
 };

PROPINFO propinfoForeColor =
 {
    "ForeColor",
    DT_COLOR | PF_fGetData | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,rgbForeColor),
	0, 0, NULL, 0
 };

PROPINFO propinfoHotSpotX =
 {
    "HotSpotX",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nHotSpotX),
	0, 0, NULL, 0
 };

PROPINFO propinfoHotSpotY =
 {
    "HotSpotY",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nHotSpotY),
	0, 0, NULL, 0
 };

PROPINFO propinfoIsVisible =
 {
    "IsVisible",
    DT_BOOL | PF_fGetMsg | PF_fSetMsg | PF_fNoShow,
    0, 0, 0, NULL, 0
 };

PROPINFO propinfoMouseOffX =
 {
    "MouseOffX",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nMouseOffX),
	0, 0, NULL, 0
 };


PROPINFO propinfoMouseOffY =
 {
    "MouseOffY",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nMouseOffY),
	0, 0, NULL, 0
 };

PROPINFO propinfoPicture =
 {
    "Picture",
    DT_PICTURE | PF_fGetData | PF_fSetCheck | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,hPic),
	0, 0, NULL, 0
 };

PROPINFO propinfoTextBottom =
 {
    "TextBottom",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nTextBottom),
	0, 0, NULL, 0
 };

PROPINFO propinfoTextLeft =
 {
    "TextLeft",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nTextLeft),
	0, 0, NULL, 0
 };

PROPINFO propinfoTextRight =
 {
    "TextRight",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nTextRight),
	0, 0, NULL, 0
 };

PROPINFO propinfoTextTop =
 {
    "TextTop",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nTextTop),
	0, 0, NULL, 0
 };

PROPINFO propinfoTractorBeam =
 {
    "TractorBeam",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nTractorBeam),
	0, 0, NULL, 0
 };

char szPopupMode[] = "0 - Automatic\0" "1 - Manual\0";
PROPINFO propinfoPopupMode =
 {
    "PopupMode",
    DT_ENUM | PF_fGetData | PF_fSetData | PF_fSetMsg | PF_fSaveData,
    OFFSETIN(DBTTIP,PopupMode),
	0, 0, szPopupMode, 2
 };

PROPINFO propinfoSensivity =
 {
    "Sensivity",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fSaveData,
    OFFSETIN(DBTTIP,uMe)+OFFSETIN(UNIQUE,nSensivity),
	0, 0, NULL, 0
 };

PROPINFO propinfoUseIndex =
 {
    "UseIndex",
    DT_SHORT | PF_fGetData | PF_fSetData | PF_fNoShow,
    OFFSETIN(DBTTIP,nUseIndex),
	0, 0, NULL, 0
 };

PROPINFO propinfoCtlEnabled =
 {
    "CtlEnabled",
    DT_BOOL | PF_fGetData | PF_fNoRuntimeW | PF_fNoShow,
    OFFSETIN(DBTTIP,bCtlEnabled),
	0, 0, NULL, 0
 };


PPROPINFO proplistTTip[] =
 {
    PPROPINFO_STD_NAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_TAG,

	&propinfoAboutBox,
	&propinfoAlignment,
	&propinfoAspect,
	&propinfoDelay,
	&propinfoExtraOffX,
	&propinfoExtraOffY,
	&propinfoForeColor,
	&propinfoHotSpotX,
	&propinfoHotSpotY,
	&propinfoIsVisible,
	&propinfoMouseOffX,
	&propinfoMouseOffY,
    &propinfoPicture,
	&propinfoTextBottom,
	&propinfoTextLeft,
	&propinfoTextRight,
	&propinfoTextTop,
	&propinfoTractorBeam,
	&propinfoPopupMode,
	&propinfoSensivity,
	&propinfoUseIndex,
	&propinfoCtlEnabled,
	NULL
 };

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------
// Define the consecutive indicies for the events
//---------------------------------------------------------------------------
WORD Parmtyp_Popup[] = { ET_HLSTR, ET_I2, ET_I2, ET_HLSTR, ET_R4, ET_R4 };

EVENTINFO Event_Popup =
 {
  "Popup",
  6,
  12,
  Parmtyp_Popup,
  "CtlName As String, CtlIndex As Integer, hWnd As Integer, strText As String, X As Single, Y As Single"
 };

EVENTINFO Event_Popdown =
 {
  "PopDown",
  0,
  0,
  NULL,
  NULL
 };

PEVENTINFO eventlistTTip[] =
 {
  &Event_Popup,
  &Event_Popdown,
  NULL
 };


//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------
char szDBTTip[] = "DBTTip";

MODEL modelTTip =
 {
    VB_VERSION, 						// VB version being used
    MODEL_fLoadMsg,						// MODEL flags
    (PCTLPROC)TTipCtlProc,				// Control procedure
    CS_VREDRAW | CS_HREDRAW,			// Class style
    0,									// Default Window style
    sizeof(DBTTIP),						// cbCtlExtra for DBTTIP structure
    IDBMP_TTIP, 						// Palette bitmap ID
    szDBTTip,							// Default control name
    szDBTTip,							// Visual Basic class name
    NULL,								// Parent class name
    proplistTTip,						// Properties list
    eventlistTTip,						// Events list
    IPROP_TTIP_PICTURE, 				// Default property
    IEVENT_TTIP_POPUP,					// Default event
    IPROP_TTIP_ISVISIBLE				// Property representing value of ctl
 };

LPMODEL modellistTTip[] =
 {
    &modelTTip,
    NULL
 };

MODELINFO modelinfoTTip =
 {
    VB_VERSION, 			// VB version being used
    modellistTTip			// MODEL list
 };

